Package org.kapott.hbci.structures

## Class Konto

- java.lang.Object
- - org.kapott.hbci.structures.Konto

All Implemented Interfaces:
  `java.io.Serializable`

    public class Konto
    extends java.lang.Object
    implements java.io.Serializable

Kontoverbindung. Diese Klasse repräsentiert eine einzelne Kontoverbindung eines Kunden bei einer Bank.

See Also:
  Serialized Form

### Field Summary

Fields
`java.lang.String` `acctype` Kontoart (Girokonto, Sparkonto, Festgeldkonto, Kreditkartenkonto, etc.) laut Segmentversion 5,6 von HIUPD.
`java.util.List` `allowedGVs`
`java.lang.String` `bic` BIC des Kontos
`java.lang.String` `blz` Bankleitzahl der kontoführenden Bank
`java.lang.String` `country` Länderkennzeichen des Kontos.
`java.lang.String` `curr` Währung des Kontos.
`java.lang.String` `customerid` Kreditinstitusseitiger Kundenname.
`java.lang.String` `iban` IBAN des Kontos
`Limit` `limit`
`java.lang.String` `name` Name des Kontoinhabers.
`java.lang.String` `name2` Name des Kontoinhabers (Fortsetzung) (optional).
`java.lang.String` `number` Kontonummer des Kontos
`java.lang.String` `subnumber` Unterkontomerkmal des Kontos, kann `null` sein
`java.lang.String` `type` Name (Typ) des Kontos.

### Constructor Summary

Constructors
`Konto()` Anlegen eines neuen Konto-Objektes.
`Konto​(java.lang.String blz, java.lang.String number)` Anlegen eines neuen Konto-Objektes.
`Konto​(java.lang.String country, java.lang.String blz, java.lang.String number)` Anlegen eines neuen Konto-Objektes.
`Konto​(java.lang.String country, java.lang.String blz, java.lang.String number, java.lang.String subnumber)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `checkCRC()` Überprüfen der Kontonummer anhand des Prüfzifferverfahrens, welche für die Bank mit der Bankleitzahl `blz` gilt.
`boolean` `checkIBAN()`
`boolean` `equals​(java.lang.Object o)`
`boolean` `isSEPAAccount()` Gibt `true` zurück, wenn sich dieses Konto für SEPA-GVs verwenden lässt
`java.lang.String` `toString()` Umwandeln der Kontoinformationen in einen String.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### country

    public java.lang.String country

Länderkennzeichen des Kontos. Normalerweise ist hier der Wert `DE` für Deutschland einzustellen.

#### blz

    public java.lang.String blz

Bankleitzahl der kontoführenden Bank

#### number

    public java.lang.String number

Kontonummer des Kontos

#### subnumber

    public java.lang.String subnumber

Unterkontomerkmal des Kontos, kann `null` sein

#### acctype

    public java.lang.String acctype

Kontoart (Girokonto, Sparkonto, Festgeldkonto, Kreditkartenkonto, etc.) laut Segmentversion 5,6 von HIUPD. Wird bspw. bei DeuBa-Konten benötigt da dort verschiedene Konten genau die gleiche Kontonummer haben bzw. sich nur in der Kontoart unterscheiden

#### type

    public java.lang.String type

Name (Typ) des Kontos. Dieses Feld ist nur für Konten verfügbar, auf die der Anwender via HBCI Zugriff hat. Für alle anderen Konten ist dieser Wert `null`

#### curr

    public java.lang.String curr

Währung des Kontos. Hier ist in der Regel `EUR` für EURO gespeichert.

#### customerid

    public java.lang.String customerid

Kreditinstitusseitiger Kundenname. Dieser Wert gibt an, unter welcher Kunden-ID ein Bankkunde Zugriff auf dieses Konto hat. Dieser Wert ist nur für Konten verfügbar, auf die der Anwender Zugriff via HBCI hat, für alle anderen Konten ist dieser Wert `null`. Falls eine Bank Informationen über alle Konten bereitstellt, auf die ein Nutzer via HBCI Zugriff hat, so kann dieses Feld beim Hinzufügen von Aufträgen via `HBCIJob.addToQueue(String)` ausgewertet werden.

#### name

    public java.lang.String name

Name des Kontoinhabers. Hier wird bei eigenen Konten der Inhabername eingestellt, wie er von der Bank bereitgestellt wird. Bei fremden Konten (z.B. bei den Konten, die als Gegenkonten auf einem Kontoauszug erscheinen) wird hier der Name eingestellt, wie er in den Auftragsdaten von der Bank geführt wird.

#### name2

    public java.lang.String name2

Name des Kontoinhabers (Fortsetzung) (optional).

#### limit

    public Limit limit

#### allowedGVs

    public java.util.List allowedGVs

#### bic

    public java.lang.String bic

BIC des Kontos

#### iban

    public java.lang.String iban

IBAN des Kontos

### Constructor Detail

#### Konto

    public Konto()

Anlegen eines neuen Konto-Objektes. Die Währung wird auf `EUR` voreingestellt

#### Konto

    public Konto​(java.lang.String blz,
                 java.lang.String number)

Anlegen eines neuen Konto-Objektes. Die Währung wird auf `EUR` voreingestellt. Es werden BLZ und Kontonummer angegeben. Die Länderkennung wird auf `DE` voreingestellt.

Parameters:
  `blz` - Bankleitzahl der kontoführenden Bank
  `number` - Kontonummer des Kontos

#### Konto

    public Konto​(java.lang.String country,
                 java.lang.String blz,
                 java.lang.String number)

Anlegen eines neuen Konto-Objektes. Die Währung wird auf `EUR` voreingestellt. Es werden BLZ, Länderkennung und Kontonummer angegeben.

Parameters:
  `country` - die Länderkennung des kontoführenden Institutes (normalerweise `DE`)
  `blz` - Bankleitzahl der kontoführenden Bank
  `number` - Kontonummer des Kontos

#### Konto

    public Konto​(java.lang.String country,
                 java.lang.String blz,
                 java.lang.String number,
                 java.lang.String subnumber)

### Method Detail

#### toString

    public java.lang.String toString()

Umwandeln der Kontoinformationen in einen String.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  Stringdarstellung der Kontoverbindung

#### checkCRC

    public boolean checkCRC()

Überprüfen der Kontonummer anhand des Prüfzifferverfahrens, welche für die Bank mit der Bankleitzahl `blz` gilt. Der Aufruf dieser Methode setzt voraus, dass in diesem Kontoobjekt bereits `blz` und `number` gesetzt sind. Diese Werte werden der Methode `HBCIUtils.checkAccountCRC(String,String)` zur Überprüfung übergeben.

Returns:
  es wird nur dann `false` zurückgegeben, wenn das Prüfzifferverfahren für die jeweilige Bank implementiert ist und die Prüfung der Kontonummer einen Fehler ergibt. In jedem anderen Fall wird `true` zurückgegeben

#### checkIBAN

    public boolean checkIBAN()

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### isSEPAAccount

    public boolean isSEPAAccount()

Gibt `true` zurück, wenn sich dieses Konto für SEPA-GVs verwenden lässt